C MPI Checkerboard: BB Jun 13 2008.
C Extension to nlat=1,2, which has to be defined in latmpi.par.
C Checkerbord colors ic=1,2 come a separate arrays.
C nla,nla_mpi,iasc1,iasc2: Initialized and never changed.
C
C iasc1,iasc2:             Return positions on sublattice.
c nla_full(nd):            Extension of full lattice.
C ipf1,icf2,ipb1,ipb2:     Pointers initialized in cblat_init.f and 
C                          modified in cbpointer.f, cblgtpointer. 
C                          Then never changed. The pointer labels 
C                          refer to the originating checkerboard.
C 1 points from a site on checkerboard 1 to site on checkerboard 2.
C 2 points from a site on checkerboard 2 to site on checkerboard 1.
C CHECK: Are the extension msc+mbcs only needed in LGT for the
C        forward pointers (not at all in Potts)???
C BY HISTORICAL REASONS: Positions of sites and link directions
C in invonvenient order. Possibly fix in final code.
C
C ipf_mpi,ipb_mpi:         MPI pointers initialized lat_init.f.
C                          Then never changed.
C THE FOLLOWING POINTER ARRAYS ARE SIZED TOO LARGE  (even for LGT)
C AND OUGHT TO BE REDUCED: mbcs -> mbcs/2 there.
C ipfb1,ipfb2,ipbb1,ipbb2: Pointer arrays to gather boundaries. 
C                          Initialized in cbpointer.f 
C                          Then never changed. The labels refer to 
C                          the checkerboard of the sites collected.
C cfile:               Initialized in *_init*.f and never changed.
c igathbb1, 2:    Pointers for 2. gather in lattice gauge theory.
c nddmpi:         Extension for gathering boundary-corners.
c nddmpi+1:       Array size set to allow for nddmpi=0.
C ire1,irpt1:          Only changed by the backup routine and used 
C                      for continuation runs.
      common/cblat/ nla(nd),iasc1(msc),iasc2(msc),nla_full(nd),
     &  ipf1(nd,msc+mbcsh),ipf2(nd,msc+mbcsh),
     &  ipb1(nd,msc+mbcsh),ipb2(nd,msc+mbcsh), nla_mpi(ndmpi),
     &  ipf_mpi(ndmpi,nlat*msmpi),ipb_mpi(ndmpi,nlat*msmpi), 
     &  ipfb1(mscb,ndmpi),ipfb2(mscb,ndmpi),
     &  ipbb1(mscb,ndmpi),ipbb2(mscb,ndmpi), 
     &  igathbb1(ns1fbb,nddmpi+1),igathbb2(ns1fbb,nddmpi+1),
     &  ire1,irp1,cfile
